#include "mydef.h"
#include "process.h"
#include "chat/process_chat.h"
#include "chat/chat.h"
#include "chat/chat_slot.h"

//プロセス
int process(DATA* data,SDL_Surface* surf,const int now_vpos){
	//ユーザコメント
	if(data->user_comment.enable){
		if(!chat_process(&data->user_comment,surf,now_vpos)){
			fputs("[process/process]failed to process comment.\n",data->log);
			return FALSE;
		}
	}
	//オーナコメント
	if(data->owner_comment.enable){
		if(!chat_process(&data->owner_comment,surf,now_vpos)){
			fputs("[process/process]failed to process comment.\n",data->log);
			return FALSE;
		}
	}
	return TRUE;
}

